/**
 * IE6NoMoore
 * @author Tenderfeel
 * @ver 1.0
 * @HOME http://tenderfeel.xsrv.jp/
 * 
 * @Need:mootools 1.2 upper, Asset(more)
 * 
 * IE6NoMoreキャンペーンのダイアログを表示するクラス
 * 
 * [options]
 *  
 *  @css
 *   true→作成した要素にデフォルトのCSSを付与します
 *   false→CSSを付与せず要素だけ作成
 *   src→Assetsでhead要素にCSSファイルのlink要素を追加します
 *   
 *  @image
 *   画像までのパス。
 *   公式→http://www.ie6nomore.com/files/theme/
 *   
 * ---MIT License--------------------------------------------
 * Copyright (c) 2008 Tenderfeel all rights reserved.
 * 以下に定める条件に従い、本ソフトウェアおよび関連文書の
 * ファイル（以下「ソフトウェア」）の複製を取得するすべての
 * 人に対し、ソフトウェアを無制限に扱うことを無償で許可します。
 * これには、ソフトウェアの複製を使用、複写、変更、結合、
 * 掲載、頒布、サブライセンス、および/または販売する権利、
 * およびソフトウェアを提供する相手に同じことを許可する権利も無制限に含まれます。
 * 
 * 上記の著作権表示および本許諾表示を、
 * ソフトウェアのすべての複製または重要な部分に記載するものとします。
 * 
 * ソフトウェアは「現状のまま」で、明示であるか暗黙であるかを問わず、
 * 何らの保証もなく提供されます。ここでいう保証とは、商品性、
 * 特定の目的への適合性、および権利非侵害についての保証も含みますが、
 * それに限定されるものではありません。作者または著作権者は、
 * 契約行為、不法行為、またはそれ以外であろうと、
 * ソフトウェアに起因または関連し、あるいはソフトウェアの使用
 * またはその他の扱いによって生じる一切の請求、損害、
 * その他の義務について何らの責任も負わないものとします。 
 * ----------------------------------------------------------
 */

/*
window.addEvent('domready', function(){
									 
	new IE6NoMoore()
});
*/

var IE6NoMoore = new Class({
	
	Implements: [Options],

	options: {
		css:true,
		image:"images/IE6NoMore/"
	},
	initialize: function(options) {
		this.setOptions(options);
		this.imgurl = this.options.image;
		
		this.container = new Element("div",{"id":"IE6NoMore2"});
		this.wrap = new Element("div",{"class":"wrap"});
		this.closebtn = new Element("img",{"class":"close","src":this.imgurl+"ie6nomore-cornerx.jpg", "alt":"閉じる", events:{"click":function(){this.getParent().dispose();}} });
		
		this.warning = new Element("img",{"class":"warning", "src":this.imgurl+"ie6nomore-warning.jpg","alt":"Warning!"});
		this.message = new Element("div",{"class":"nomore-message","html":"このウェブサイトを快適に閲覧するにはブラウザをアップグレードしてください。"})
		this.strongmes = new Element("strong",{"html":"あなたは旧式ブラウザをご利用中です"});
		
		this.firefox = new Element("img",{"src":this.imgurl+"ie6nomore-firefox.jpg","alt":"Get Firefox 3.5"});
		this.ie8 = new Element("img",{"src":this.imgurl+"ie6nomore-ie8.jpg","alt":"Get Internet Explorer 8"});
		this.safari = new Element("img",{"src":this.imgurl+"ie6nomore-safari.jpg","alt":"Get Safari 4"});
		this.chrome = new Element("img",{"src":this.imgurl+"ie6nomore-chrome.jpg","alt":"Get Google Chrome"});
		
		if(Browser.Engine.trident && Browser.Engine.version < 5){
			$$("body")[0].getFirst().grab(this.container,"before");
		
			if(this.options.css==true) this.css();
			else if($type(this.options.css) == "string") this.asset();
			
			this.start();
		}
	},
	
	start:function(){
		this.container.grab(this.wrap).grab(this.closebtn);
		this.warning.inject(this.wrap);
		this.message.grab(this.strongmes,"top").inject(this.wrap);
		new Element("a",{"href":"http://www.mozilla.jp","target":"_blank"}).grab(this.firefox).inject(this.wrap);
		new Element("a",{"href":"http://www.microsoft.com/downloads/details.aspx?FamilyID=341c2ad5-8c3d-4347-8c03-08cdecd8852b&DisplayLang=ja","target":"_blank"}).grab(this.ie8).inject(this.wrap);
		new Element("a",{"href":"http://www.apple.com/jp/safari/download/","target":"_blank"}).grab(this.safari).inject(this.wrap);
		new Element("a",{"href":"http://www.google.com/chrome?hl=ja","target":"_blank"}).grab(this.chrome).inject(this.wrap);
	},
	
	asset:function(){
		new Asset.css(this.options.css);
	},
	
	css:function(){
		this.container.setStyles({
			"background":"#FEEFDA none repeat scroll 0 0","border-bottom":"1px solid #F7941D","border-top":"1px solid #F7941D",
			"height":75,"left":0,"position":"absolute","text-align":"center","top":0,"width":"100%","z-index":100});
		this.wrap.setStyles({"color":"black","margin":"0 auto","overflow":"hidden",
			"padding":"0","text-align":"left","width":"640px"});
		this.closebtn.setStyles({"cursor":"pointer","display":"block","position":"absolute","right":3,"top":3});
		this.message.setStyles({"float":"left","font-family":"Arial,sans-serif","font-size":"12px","padding":"12px","width":"275px"});
		this.strongmes.setStyles({"color":"#CC0000","display":"block","font-size":"14px","padding-bottom":"5px"});
		this.warning.setStyles({"float":"left","height":73,"width":53});
		this.firefox.setStyle("margin-right",20);
		this.ie8.setStyle("margin-right",20);
		this.safari.setStyle("margin-right",20);
		
	}
});
